# This file is a template, and might need editing before it works on your project.
# Official docker image.
image: storm2/ngx-voms-build:latest

build:
  stage: build
  script:
    - env | sort
    - id
    # ngx_http_voms_module build
    - build-install-ngx-voms.sh
    #- cd ./openresty-1.x.y
    #- ./configure ${resty_config_options} --add-module=../ngx_http_voms_module
    #- make && make install

test:
  stage: test
  script:
    # ngx_http_voms_module test
    - cp -r t /tmp
    - cd /tmp
    - prove -v
